
function drawing_svg_support() {
  return !!document.createElementNS && 
    !!document.createElementNS('http://www.w3.org/2000/svg', "svg").createSVGRect;
}

(function ($) {

  Drupal.behaviors.drawing_svg = function(context) {
    if (drawing_svg_support() == false) {
      $("svg", context).each(function() {
        var placeholder = $(
          "<div class=\"drawing-svg-placeholder\"><p>" + 
          Drupal.t("Your browser does not support SVG.") + 
          "</p></div>"
        );
        $(placeholder)
          .width($(this).width())
          .height($(this).height());
        $(this).before(placeholder);
        $(this).remove();
      });
    }
  };

  /*
  // @todo this is for Drupal 7, remove from this branch after a port is done.
  Drupal.behaviors.drawing_svg = {
    attach: function (context, settings) {
      if (drawing_svg_support() == false) {
        $("svg", context).each(function() {
          var placeholder = $(
            "<div class=\"drawing-svg-placeholder\"><p>" + 
            Drupal.t("Your browser does not support SVG.") + 
            "</p></div>"
          );
          $(placeholder)
            .width($(this).width())
            .height($(this).height());
          $(this).before(placeholder);
          $(this).remove();
        });
      }
    }
  }
  */

})(jQuery);